#pragma once

#include <cstddef>
#include <sys/socket.h>


namespace drp::util::network {


/**
 * Indicate if an address refer to the local machine.
 * @param address the address to check.
 * @param addressLength the length of the address.
 * @return True if the address refer to ourselves, False otherwise.
 */
bool is_localhost(const sockaddr_storage& address, socklen_t addressLength);


}
