#pragma once
#include <mpg123.h>
#include <netdb.h>

#include "../base/BaseTask.hpp"


namespace drp::task {


/**
 * the audio Server.
 * Read and broadcast audio data.
 */
class ServerTask : public BaseTask {
public:
    explicit ServerTask();
    ~ServerTask();

    void handle(Context& context) override;

private:
    mpg123_handle* mpgHandle;
    long sampleRate;
    int channels;
    int encoding;
};


}
